package com.redhat.thermostat.tools.eclipse.plugin.tests;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import java.util.Collection;
import java.util.Collections;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.junit.Before;
import org.junit.Test;

import com.redhat.thermostat.tools.eclipse.plugin.BundleFinder;
import com.redhat.thermostat.tools.eclipse.plugin.BundleInformation;

public class BundleFinderTest {

    private IProgressMonitor progressMonitor;

    @Before
    public void setUp() {
        progressMonitor = new NullProgressMonitor();
    }

    @Test
    public void testNoArgumentVariantDoesNothing() {
        BundleFinder finder = new BundleFinder(new IProject[0], progressMonitor);
        Collection<BundleInformation> result = finder.find();
        assertNotNull(result);
        assertTrue(result.isEmpty());
    }
}
